# !/usr/bin/python
# -*- coding: utf-8 -*-
# @Author:: Arthur Wu
# @Date:: 2024/11/15-13:10
# @Description::
import requests,json, time, logging
from configs.globalParams import *
from commons.SignatureYM import SignatureYM


class YMServiceApi(object):
    def __init__(self):
        self.Domain = "https://api.test.yimaogo.com/"
        self.headerss = SignatureYM().return_headers()

    ''' 1-广告模块 '''
    def publish_ad(self, ADDetail, MarketAndStoreDetail):
        logging.info("========== [发布广告] ==========")
        timeStamp = str(int(time.time()))
        PublicParams = {
            "status": 4, "name": "Auto"+timeStamp,
            "agencyId": 3, "agencyName": "洪家班", "advertiserId": 3,
            "advertiserName": "阿宝传媒", "adsUse": 1, "customerTag": 3,
            "putRangeCycle": "[7,6,5,1,2,3,4]",
            "addType": 1, "pricingType": 1, "standardPrice": "1", "minPrice": "1",
            "putStart": GlobalParams["todayDate"], "putEnd": GlobalParams["todayDate"],
            "putStartTime": "00:00:00", "putEndTime": "23:00:00"
        }
        payload = json.dumps(PublicParams | ADDetail | MarketAndStoreDetail)
        url = self.Domain + "admin/ads"
        response = requests.request("POST", url, headers=self.headerss, data=payload)
        logging.info(f"-----------接口返回状态码：{response.status_code}")
        logging.info(f"-----------接口返回数据：{response.json()}\n\n")


if __name__ == '__main__':
    yms = YMServiceApi()
    ''' 武商 '''
    ADDetail = [
        {  # 登录页
            "adsAreaId": 1, "mediaType": 1,
            "mediaUrl": "ads/content/534ae9d7-3f65-48da-bc2e-3d5e66fe56d8.jpg",
            "showOrder": 1, "showTime": 5,
        },
        {  # 登录后弹窗
            "adsAreaId": 2, "mediaType": 1,
            "mediaUrl": "ads/content/93e34d0e-9f4c-499b-ad8b-5741e55528b5.jpg",
        },
        {  # 购物车主页
            "adsAreaId": 3, "mediaType": 1,
            "mediaUrl": "ads/content/581ec30a-4d90-43f3-b0e9-b5c8fe0006b4.jpg",
            "showOrder": 1, "showTime": 5,
        },
        {  # 待机页
            "adsAreaId": 4, "mediaType": 1,
            "mediaUrl": "ads/content/8c8f6de0-6eb7-4b66-98cd-2c85eb057ed5.png",
            "showOrder": 1, "showTime": 5,
        },
        { # 扫码
            "adsAreaId": 5, "mediaType": 1,
            "mediaUrl": "ads/content/9d5555e3-fec1-4e1a-94e7-b517f4e88aba.jpg",
        },
        {  # 支付后
            "adsAreaId": 6, "mediaType": 1,
            "mediaUrl": "ads/content/e2e2e892-1a81-4b0f-9af2-cb46f04a5dc4.jpg",
        },
        { # 小票
            "adsAreaId": 7, "mediaType": 1,
            "mediaUrl": "ads/content/6d9c14ca-3fd1-4fe7-b04a-84cf18937e60.jpg",
        }
    ]
    MarketAndStoreDetail = {"putMarketId": 50, "putStoreId": ["29"]}
    for ad in ADDetail:
        yms.publish_ad(ad, MarketAndStoreDetail)
        time.sleep(0.5)



