# !/usr/bin/python
# -*- coding: utf-8 -*-
# @Author:: Arthur Wu
# @Date:: 2024/11/18-10:49
# @Description::
import unittest,allure,time
from configs.globalObj import LOGGER
from YiMao.businessFunc.ClientApiLib import YMClientApi


class Test_C002_AddShoppingBagAndSettlePayment(unittest.TestCase):
    '''@Date:: 2024/11/15
    @Author:: Arthur Wu
    @Desc::
    [购物车客户端] 加购无优惠商品并试算验证
    1、武商测试环境，普通无优惠商品inputcode为：
       6924743915848
    '''
    def setUp(self) -> None:
        self.timestamp = int(time.time())
        self.ymc = YMClientApi()

    @allure.story('[购物车客户端] 加购无优惠商品并试算验证-01')
    def test_C00201_AddShoppingBagAndSettlePayment(self):
        allure.dynamic.description("描述：加购无优惠商品")
        allure.step("步骤1：session开始")
        self.ymc.session_start()
        allure.step("步骤2：匿名登录")
        Payload01 = {"action": 0, "isAnon": True}
        LoginData = self.ymc.login_app_v2(Payload01)
        allure.step("步骤3：获取商品信息")
        GoodsInfoData = self.ymc.get_goods_info(InputCode=6924743915848)
        allure.step("步骤4：添加无优惠商品")
        self.ymc.add_retire_purchase(GoodsInfoData, 5, LoginData)
        allure.step("步骤5：获取购物车商品信息")
        self.ymc.get_cart_goods_info(GoodsInfoData)
        allure.step("步骤6：请求订单结算")
        self.ymc.request_order_settlement(LoginData)


if __name__ == '__main__':
    unittest.main(verbosity=2)